=== debian/changelog ===
vfu (4.22-1) unstable; urgency=medium

  * Update to 4.22
  * Change dep on libncurses5-dev to libcurses-dev
  * Update standards to 4.6.0, no changes
  * wrap-and-sort --short-indent --wrap-always --sort-binary-packages
     --trailing-comma
  * Update homepage and d/watch
  * Add d/upstream/metadata
  * Update the license for the unused bundled pcre2 library
  * Use the system libpcre2 instead of the bundled one (Closes: #999933)

 -- Boian Bonev <bbonev@ipacct.com>  Tue, 16 Nov 2021 23:04:12 +0000
