=== debian/control ===
Source: vfu
Section: utils
Priority: optional
Maintainer: Boian Bonev <bbonev@ipacct.com>
Standards-Version: 4.6.0
Build-Depends:
 debhelper-compat (= 13),
 libncurses-dev,
 libpcre2-dev,
Rules-Requires-Root: no
Homepage: https://cade.noxrun.com/projects/vfu/
Vcs-Browser: https://github.com/bbonev/vfu-deb
Vcs-Git: https://github.com/bbonev/vfu-deb.git

Package: vfu
Architecture: any
Depends:
 bzip2,
 unzip,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Versatile text-based file-manager
 vfu is a nice file-manager using the ncurses
 library. It has many nice features:
 .
  * Fast one-key commands
  * Filename completion and wildcard expansion
  * Directory tree with sizes
  * File-type colorization
  * Archives support (TAR, TGZ, BZ2, and many more)
  * FTP support through archive-like interface
  * Internal text/hex file viewer and hex editor
  * Automount feature
  * Extensive user-defined external support/utils!
