=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: utils
 Priority: optional
 Maintainer: Boian Bonev <bbonev@ipacct.com>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Build-Depends:
  debhelper-compat (= 13),
- libncurses-dev,
  libpcre2-dev,
+ libyascreen-dev (>= 1.95),
+ pkg-config,
 Rules-Requires-Root: no
 Homepage: https://cade.noxrun.com/projects/vfu/
 Vcs-Browser: https://github.com/bbonev/vfu-deb
@@ -20,7 +21,7 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Description: Versatile text-based file-manager
- vfu is a nice file-manager using the ncurses
+ vfu is a nice file-manager using the yascreen
  library. It has many nice features:
  .
   * Fast one-key commands
