=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS+=hardening=+all

%:
	dh $@ --buildsystem=makefile --without=autoreconf

override_dh_auto_build:
	dh_auto_build -- \
		STRIP=: \
		V=1

override_dh_auto_install:
	install -DT vfu/vfu.yas debian/vfu/usr/bin/vfu
	install -DT -m644 vfu.conf debian/vfu/etc/vfu.conf
	install -Dt debian/vfu/usr/libexec/vfu rx/rx_*
