=== debian/watch ===
version=4
opts=uversionmangle=s/\.(tar.*|tgz|zip|gz|bz2)$//i,dversionmangle=s/[-.+~]?(cvs|svn|git|snapshot|pre|hg)(.*)$//i,pasv,pgpsigurlmangle=s/(vfu-?_?[0-9.]+tar\.(gz|xz))/$1\.asc/ \
https://cade.noxrun.com/projects/vfu/ (?:.*/)?vfu-?_?([\d+\.]+|\d+).tar.(gz|xz) debian uupdate
