=== debian/changelog ===
vfu (5.09-3) unstable; urgency=medium

  * Replace pkg-config with pkgconf
  * Bump standards to 4.7.2, no changes

 -- Boian Bonev <bbonev@ipacct.com>  Fri, 28 Feb 2025 21:38:37 +0000

vfu (5.09-2) unstable; urgency=medium

  * Fix version in Breaks/Replaces

 -- Boian Bonev <bbonev@ipacct.com>  Fri, 23 Jun 2023 22:09:32 +0000

vfu (5.09-1) unstable; urgency=medium

  * New upstream release 5.09
    - fix directory with special symbols (Closes: #1032338)
    - fix file handling with special symbols (Closes: #1032787)
    - fix crash on new dir (Closes: #1033198)
    - fix scrollbar (Closes: #1035741)
    - add new shell macros (Closes: #1032340)
    - fix clipboard (Closes: #1036187)
  * Re-enable the build of ncurses based vfu
    - both ncurses/yascreen binaries as alternatives
    - vfu arch all with all the common stuff
    - vfu-ncurses executable only
    - vfu-yascreen executable only

 -- Boian Bonev <bbonev@ipacct.com>  Wed, 21 Jun 2023 22:47:24 +0000
